
//
//  Fas.cpp - (Scalar) Addition & Subtraction
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to work with the exercises for this book.
//
//  Created - 3 Oct 2001 - James Leiterman
//
//  Last Modification
//
//  stab=4
//


#include "KariType.h"                                   // Master Definitions

    //  3rd Party Libraries
    
#include    <assert.h>
#include    <iostream.h>
#include    <math.h>

    //  Book Development Library Modules

#include    "vmp3D.h"
#include    "vmp3DEx.h"
#include    "Fas.h"                                     // (float) Math
#include    "FasEx.h"



vmp_FAddProc                vmp_FAdd;
vmp_FSubProc                vmp_FSub;



//
//  Addition
//

void vmp_FAddGeneric( float * const pfD, float fA, float fB )
{
    ASSERT_PTR4(pfD);

    *pfD = fA + fB;
}



//
//  Subtraction
//

void vmp_FSubGeneric( float * const pfD, float fA, float fB )
{
    ASSERT_PTR4(pfD);

    *pfD = fA - fB;
}






